libgphoto2 photo camera library (libgphoto2) API 2.4.14

- Main Page
- Related Pages
- Data Structures
- Files
- Directories

- Data Structures
- Data Fields

Data Fields

# _GPPortInfo Struct Reference

Information about the current port. More...

`#include <gphoto2-port-info-list.h>`

## Data Fields
GPPortType | type
| The type of this port.
char | name [64]
| The name of this port (usb:)
char | path [64]
| The path of this port (whatever is after the :)
char | library_filename [1024]
| Internal pathname of the port driver. Do not use outside of the port library.

## Detailed Description

Information about the current port.

Specific information about the current port. Usually taken from the "--port=XXXX" setting from the frontend.

This is not to be confused with the driver configurable port settings in GPPortSettings.

The documentation for this struct was generated from the following file:

- libgphoto2_port/gphoto2/gphoto2-port-info-list.h